Invoice information request
The method allows you to get information about the invoice
Header parameters
x-api-public-keystringOptional
Public API-key
x-api-signaturestringOptional
Signing the request body with a private API-key
Content-typestringOptionalExample:
Request content type
application/jsonBody
The body of the request for obtaining information about the invoice
invoiceIdstringOptionalExample:
Invoice ID
04670b4a-38e0-44e0-9791-c52c86b8b6c2Responses
200Success
application/json
Successful response
successbooleanRequired
Request success indicator
post/api-gateway/get-invoice
POST /api-gateway/get-invoice HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 52
{
"invoiceId": "04670b4a-38e0-44e0-9791-c52c86b8b6c2"
}200Success
{
"success": true,
"response": {
"id": "04670b4a-38e0-44e0-9791-c52c86b8b6c2",
"externalId": "merchantExternalId123",
"externalUserId": "10099",
"payerEmail": "site@domain.com",
"orderId": "637564cf-3d7c-4ea3-9994-6ac908da53cf",
"orderLink": "https://payment.domain/637564cf-3d7c-4ea3-9994-6ac908da53cf",
"invoiceLink": "https://invoices.domain/04670b4a-38e0-44e0-9791-c52c86b8b6c2",
"status": "INIT",
"order": "Order #123456",
"description": "Payment by order #123456",
"currency": "USD",
"amount": "20",
"receivedNetwork": "USDT",
"receivedCurrency": "USDT",
"receivedAmount": "100.32",
"receivedAmountInInvoiceCurrency": "100.94",
"rate": "100.32",
"includeFee": true,
"additionalFees": [
"SEPA_WITHDRAWAL"
],
"insurancePercent": "1",
"slippagePercent": "2",
"paymentTolerancePercent": "1.5",
"webhookURL": "https://merchant.domain/webhooks/invoice",
"returnUrl": "https://merchant.domain/",
"expiresAt": "2026-01-29T11:14:43.704Z",
"createdAt": "2026-01-29T11:14:13.704Z",
"currencies": [
{
"currency": "USDT",
"networks": [
{
"name": "ethereum",
"amount": "25"
}
]
}
]
}
}Last updated